# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.conf.urls import url
from django.conf import settings
from tastypie.resources import Resource
from tastypie.utils import trailing_slash
from api.utils.command import list_files_and_folders
from api.utils.docker_api import get_all_containers, get_all_images

'''
'''
class PlaybookResource(Resource):
    class Meta:
        allowed_methods = ['get']

    '''
    '''
    def prepend_urls(self):
        return [
            url(r'^(?P<resource_name>%s)/discovery%s$' % (self._meta.resource_name, trailing_slash), self.wrap_view('discovery_playbooks'), name='api_discovery_playbooks'),
        ]

    '''
    '''
    def discovery_playbooks(self, request, **kwargs):
        get_all_images()

        bundle = self.build_bundle(obj={}, request=request)
        return self.create_response(request, bundle.obj)