# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from tastypie.resources import ModelResource
from tastypie.authorization import Authorization
from core.models.request import Request

'''
'''
class RequestResource(ModelResource):
    class Meta:
        queryset = Request.objects.all()
        authorization = Authorization()
        always_return_data = True
        
    def dehydrate_status(self, bundle):
        return [
            bundle.obj.status,
            bundle.obj.get_status_display()
        ]

